# Πρόγραμμα Μέτρησης Επιτυχόντων Φοιτητών - Έκδοση 2 (με χρήση του while)
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Μέτρησης Επιτυχόντων Φοιτητών - Έκδοση 2")
print()
print("Όταν θελήσετε να ολοκληρώσετε την εισαγωγή βαθμών, \
εισάγετε ως βαθμό το -1")
print()

# Αρχικοποίηση μετρητών με την τιμή 0
arithmos_symmetexonton=0
arithmos_epitixonton=0

bathmos=0

# Χρήση εντολής επανάληψης while
# Η επανάληψη θα συνεχίζεται μέχρι ο χρήστης να εισάγει βαθμό  με τιμή -1
while bathmos !=-1 :
    arithmos_symmetexonton=arithmos_symmetexonton+1
    # Εισαγωγή ενός βαθμού φοιτητή
    print("Εισάγετε τον βαθμό του",arithmos_symmetexonton,"ου φοιτητή:")
    bathmos=int(input())
    # Εάν ο βαθμός είναι ίσος ή μεγαλύτερος του 5 τότε αύξηση του μετρητή κατά 1
    if bathmos>=5:
        arithmos_epitixonton=arithmos_epitixonton+1
        
print()
print("Ο αριθμός των επιτυχόντων φοιτητών είναι:", arithmos_epitixonton)
pososto=100*arithmos_epitixonton/(arithmos_symmetexonton-1)
print("Το ποσοστό επιτυχίας ήταν: ", '%.2f' %pososto ,"%")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Μέτρησης \
Επιτυχόντων Φοιτητών - Έκδοση 2") 

    
